Subject: Re: linux-next: build warnings after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 22 Mar 2022 09:05:41 +1100

Hi all,

On Mon, 21 Mar 2022 09:52:58 -0700 Linus Torvalds <[email-masked]> wrote:
>
> On Mon, Mar 21, 2022 at 9:45 AM Peter Zijlstra <[email-masked]> wrote:
> > >
> > > It's presumably not in any of the pull requests I already have
> > > pending, but it would be nice if I saw some details of _what_ you are
> > > complaining about, and not just the complaint itself ;)  
> >
> > Duh, right. It's this series:
> >
> >   https://lore.kernel.org/bpf/[email-masked]/
> >
> > That went into bpf-next last Friday. I just checked but haven't found a
> > pull for it yet.  
> 
> Thanks. I can confirm it's not in any of the pull requests I have
> pending, so I'll just start doing my normal work and try to remember
> to look out for this issue later.

The normal path for bpf-next code is via the net-next tree.  But the
above series has not yet been merged into the net-next tree so is only
in the bpf-next tree.

So, what am I to do?  Drop the bpf-next tree from linux-next until this
is resolved?  Some input from the BPF people would be useful.

Dave, Jakub, please do not merge the bpf-bext tree into the net-next
tree for now.

-- 
Cheers,
Stephen Rothwell